{
  description = "Development environment";

  inputs = {
    nixpkgs.url = "nixpkgs/nixos-23.11";
    nixpkgs-unstable.url = "nixpkgs/nixos-unstable";
  };

  outputs = { self, nixpkgs, nixpkgs-unstable }@inputs:
  let
      system = "x86_64-linux";
      pkgs = nixpkgs.legacyPackages.${system};
      overlay-unstable = final: prev: {
        unstable = nixpkgs-unstable.legacyPackages.${prev.system};
      };
    in {
      devShells.x86_64-linux.default =
        pkgs.mkShell {
          nativeBuildInputs = with pkgs; [
            fish
            python311Packages.mkdocs-material
          ];

          shellHook = ''
            echo "Running a nix development environment"
            exec fish
          '';
        };
  };
}
